Show / Hide Table of Contents

# Class SeStringUtils

A utility class for working with common SeString variants.

##### Inheritance

System.Object
SeStringUtils

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    public static class SeStringUtils

### Methods

| Improve this Doc View Source

#### CreateItemLink(Item, Boolean, String)

Creates an SeString representing an entire Payload chain that can be used to link an item in the chat log.

##### Declaration

    public static SeString CreateItemLink(Item item, bool isHQ, string displayNameOverride = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Item | item | The Lumina Item to link.
System.Boolean | isHQ | Whether to link the high-quality variant of the item.
System.String | displayNameOverride | An optional name override to display, instead of the actual item name.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all the payloads necessary to display an item link in the chat log.

| Improve this Doc View Source

#### CreateItemLink(UInt32, Boolean, String)

Creates an SeString representing an entire Payload chain that can be used to link an item in the chat log.

##### Declaration

    public static SeString CreateItemLink(uint itemId, bool isHQ, string displayNameOverride = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId | The id of the item to link.
System.Boolean | isHQ | Whether to link the high-quality variant of the item.
System.String | displayNameOverride | An optional name override to display, instead of the actual item name.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all the payloads necessary to display an item link in the chat log.

| Improve this Doc View Source

#### CreateMapLink(String, Single, Single, Single)

Creates an SeString representing an entire Payload chain that can be used to link a map position in the chat log, matching a specified zone name.

##### Declaration

    public static SeString CreateMapLink(string placeName, float xCoord, float yCoord, float fudgeFactor = 0.05F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | placeName | The name of the location for this link. This should be exactly the name as seen in a displayed map link in-game for the same zone.
System.Single | xCoord | The human-readable x-coordinate for this link.
System.Single | yCoord | The human-readable y-coordinate for this link.
System.Single | fudgeFactor | An optional offset to account for rounding and truncation errors; it is best to leave this untouched in most cases.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all of the payloads necessary to display a map link in the chat log.

| Improve this Doc View Source

#### CreateMapLink(UInt32, UInt32, Int32, Int32)

##### Declaration

    public static SeString CreateMapLink(uint territoryId, uint mapId, int rawX, int rawY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId |
System.UInt32 | mapId |
System.Int32 | rawX |
System.Int32 | rawY |

##### Returns

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### CreateMapLink(UInt32, UInt32, Single, Single, Single)

Creates an SeString representing an entire Payload chain that can be used to link a map position in the chat log.

##### Declaration

    public static SeString CreateMapLink(uint territoryId, uint mapId, float xCoord, float yCoord, float fudgeFactor = 0.05F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId | The id of the TerritoryType for this map link.
System.UInt32 | mapId | The id of the Map for this map link.
System.Single | xCoord | The human-readable x-coordinate for this link.
System.Single | yCoord | The human-readable y-coordinate for this link.
System.Single | fudgeFactor | An optional offset to account for rounding and truncation errors; it is best to leave this untouched in most cases.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all of the payloads necessary to display a map link in the chat log.

| Improve this Doc View Source

#### TextArrowPayloads()

Creates a list of Payloads necessary to display the arrow link marker icon in chat with the appropriate glow and coloring.

##### Declaration

    public static List<Payload> TextArrowPayloads()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.List<Payload> | A list of all the payloads required to insert the link marker.